﻿ <%@ Page Language="C#" AutoEventWireup="true"  CodeBehind="TreeGridDefault.aspx.cs" Inherits="TreeGridSample.TreeGridDefault" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Treegrid Sample</title>

    <script src="Scripts/Treegrid/jquery-1.10.2.min.js"></script>
    
    <script src="Scripts/Treegrid/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/Treegrid/jsrender.min.js"></script>
    <script src="Scripts/Treegrid/ej.web.all.min.js"></script>
    <link href="Content/Treegrid/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/Treegrid/ej.theme.min.css" rel="stylesheet" />

<style>
            #customicon {
                background-image: url("../folder-open.png");
                position: absolute;
                background-repeat: no-repeat;
                height: 20px;
                width: 30px;
            }
    </style>   
</head>
   
<body>
    <div>
        Enter TaskName to Select:<input type="text" id="searchrow" />
        <input type="button" value="ClickMe" onclick="clickMe();" />
    </div>
    
    <form id="form1" runat="server" onsubmit="return false" style="overflow: hidden; padding:0; margin: 0;height:100%;width:100%;">
           
        <ej:TreeGrid ID="Treegrid" runat="server"  AllowColumnResize="true" AllowEditing="true" 
            ChildMapping="SubTasks" EnableVirtualization="true" 
            TreeColumnIndex="1" load="onLoad"  Locale="en-US" >
            <Columns>              
                  <ej:TreeGridColumn HeaderText="Task Id" Field="TaskID" Width="40" EditType="Numeric" FilterEditType="Numeric"  />
                <ej:treegridcolumn HeaderText="Task Name" Field="TaskName" EditType="String" FilterEditType="String" />
                <ej:treegridcolumn HeaderText="StartDateTime" Field="StartDate" EditType="Datepicker" FilterEditType="Datepicker" />
                <ej:treegridcolumn HeaderText="EndDateTime" Field="EndDate" EditType="Datepicker" FilterEditType="Datepicker"/>
                <ej:treegridcolumn HeaderText="Percentage" Field="Progress" EditType="Numeric" FilterEditType="Numeric"  />
            </Columns>
            <DragTooltip ShowTooltip="true" />
            <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,update,cancel,expandAll,collapseAll" />
             <ContextMenuSettings ShowContextMenu="true"
                ContextMenuItems="add,edit,delete" />
            <EditSettings AllowEditing="true"  />
            <SizeSettings Width="100%" Height="500px" />           
        </ej:TreeGrid> 
         
        <script type="text/javascript">
            function clickMe() {

                var obj = $("#Treegrid").data("ejTreeGrid"),
                model = obj.model,
                searchItem = document.getElementById('searchrow').value,
                results = model.updatedRecords,
                index = -1;               
                for (var count = 0; count <= Object.keys(results).length; count++)
                {
                    if (results[count].item.TaskName == searchItem) {
                        index = count;
                        break;
                    }
                }
                obj.option("selectedRowIndex", index);
                obj.updateScrollBar();
            }
        </script>
        </form>
</body>
</html>

