﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TreeGridSample
{
    public partial class TreeGridDefault : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var DataSource = this.GetDataSource();
            this.Treegrid.DataSource = DataSource;
            this.Treegrid.DataBind();

        }
            
             public List<TaskDetails> GetDataSource()
        {
            List<TaskDetails> tasks = new List<TaskDetails>();
            tasks.Add(new TaskDetails()
            {
                TaskID = 1,
                TaskName = "Implementation Phase",
                StartDate = "02/17/2014",
                EndDate = "02/27/2014",
                Priority = "Normal",
            });

            tasks[0].SubTasks = new List<TaskDetails>();

            tasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 2,
                TaskName = "Phase 1",
                StartDate = "02/17/2014",
                EndDate = "02/27/2014",
                Priority = "High",
            });

            tasks[0].SubTasks[0].SubTasks = new List<TaskDetails>();

            tasks[0].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 3,
                TaskName = "Implementation Module 1",
                StartDate = "02/17/2014",
                EndDate = "02/27/2014",
                Priority = "Normal",
            });

            tasks[0].SubTasks[0].SubTasks[0].SubTasks = new List<TaskDetails>();


            tasks[0].SubTasks[0].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 4,
                TaskName = "Development Task 1",
                StartDate = "02/17/2014",
                EndDate = "02/19/2014",
                Duration = 3,
                Progress = "50",
                Priority = "Critical",
                Approved = true,
            });
            tasks[0].SubTasks[0].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 5,
                TaskName = "Development Task 2",
                StartDate = "02/17/2014",
                EndDate = "02/19/2014",
                Duration = 3,
                Progress = "50",
                Priority = "Low",
                Approved = true,
            });
            tasks[0].SubTasks[0].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 6,
                TaskName = "Testing",
                StartDate = "02/20/2014",
                EndDate = "02/21/2014",
                Duration = 2,
                Progress = "0",
                Priority = "Normal",
                Approved = false,
            });
            tasks[0].SubTasks[0].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 7,
                TaskName = "Bug fix",
                StartDate = "02/24/2014",
                EndDate = "02/25/2014",
                Duration = 2,
                Progress = "0",
                Priority = "Low",
                Approved = false,
            });
            tasks[0].SubTasks[0].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 8,
                TaskName = "Customer review meeting",
                StartDate = "02/26/2014",
                EndDate = "02/27/2014",
                Duration = 2,
                Progress = "0",
                Priority = "High",
                Approved = true,
            });
            tasks[0].SubTasks[0].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 9,
                TaskName = "Phase 1 complete",
                StartDate = "02/27/2014",
                EndDate = "02/27/2014",
                Duration = 0,
                Priority = "Low",
                Approved = false,
            });

            tasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 10,
                TaskName = "Phase 2",
                StartDate = "02/17/2014",
                EndDate = "02/28/2014",
                Priority = "High",
            });

            tasks[0].SubTasks[1].SubTasks = new List<TaskDetails>();

            tasks[0].SubTasks[1].SubTasks.Add(new TaskDetails()
            {
                TaskID = 11,
                TaskName = "Implementation Module 2",
                StartDate = "02/17/2014",
                EndDate = "02/28/2014",
                Priority = "Normal",
            });

            tasks[0].SubTasks[1].SubTasks[0].SubTasks = new List<TaskDetails>();

            tasks[0].SubTasks[1].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 12,
                TaskName = "Development Task 1",
                StartDate = "02/17/2014",
                EndDate = "02/20/2014",
                Duration = 4,
                Progress = "50",
                Priority = "High",
                Approved = false,
            });
            tasks[0].SubTasks[1].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 13,
                TaskName = "Development Task 2",
                StartDate = "02/17/2014",
                EndDate = "02/20/2014",
                Duration = 4,
                Progress = "50",
                Priority = "Critical",
                Approved = true,
            });
            tasks[0].SubTasks[1].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 14,
                TaskName = "Testing",
                StartDate = "02/21/2014",
                EndDate = "02/24/2014",
                Duration = 2,
                Progress = "0",
                Priority = "Normal",
                Approved = true,
            });
            tasks[0].SubTasks[1].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 15,
                TaskName = "Bug fix",
                StartDate = "02/25/2014",
                EndDate = "02/26/2014",
                Duration = 2,
                Progress = "0",
                Priority = "Critical",
                Approved = false,
            });
            tasks[0].SubTasks[1].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 16,
                TaskName = "Customer review meeting",
                StartDate = "02/27/2014",
                EndDate = "02/28/2014",
                Duration = 2,
                Progress = "0",
                Priority = "High",
                Approved = false,
            });
            tasks[0].SubTasks[1].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 17,
                TaskName = "Phase 2 complete",
                StartDate = "02/28/2014",
                EndDate = "02/28/2014",
                Duration = 0,
                Priority = "Low",
                Approved = true,
            });

            tasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 18,
                TaskName = "Phase 3",
                StartDate = "02/17/2014",
                EndDate = "02/27/2014",
                Priority = "Critical",
            });
            tasks[0].SubTasks[2].SubTasks = new List<TaskDetails>();

            tasks[0].SubTasks[2].SubTasks.Add(new TaskDetails()
            {
                TaskID = 19,
                TaskName = "Implementation Module 3",
                StartDate = "02/17/2014",
                EndDate = "02/27/2014",
                Priority = "High",
            });

            tasks[0].SubTasks[2].SubTasks[0].SubTasks = new List<TaskDetails>();

            tasks[0].SubTasks[2].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 20,
                TaskName = "Development Task 1",
                StartDate = "02/17/2014",
                EndDate = "02/19/2014",
                Duration = 3,
                Progress = "50",
                Priority = "High",
                Approved = false,
            });
            tasks[0].SubTasks[2].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 21,
                TaskName = "Development Task 2",
                StartDate = "02/17/2014",
                EndDate = "02/19/2014",
                Duration = 3,
                Progress = "50",
                Priority = "Critical",
                Approved = true,
            });
            tasks[0].SubTasks[2].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 22,
                TaskName = "Testing",
                StartDate = "02/20/2014",
                EndDate = "02/21/2014",
                Duration = 2,
                Progress = "0",
                Priority = "High",
                Approved = false,
            });
            tasks[0].SubTasks[2].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 23,
                TaskName = "Bug fix",
                StartDate = "02/24/2014",
                EndDate = "02/25/2014",
                Duration = 2,
                Progress = "0",
                Priority = "Low",
                Approved = true,
            });
            tasks[0].SubTasks[2].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 24,
                TaskName = "Customer review meeting",
                StartDate = "02/26/2014",
                EndDate = "02/27/2014",
                Duration = 2,
                Progress = "0",
                Priority = "Normal",
                Approved = false,
            });
            tasks[0].SubTasks[2].SubTasks[0].SubTasks.Add(new TaskDetails()
            {
                TaskID = 25,
                TaskName = "Phase 3 complete",
                StartDate = "02/27/2014",
                EndDate = "02/27/2014",
                Duration = 0,
                Priority = "Critical",
                Approved = true,
            });
            return tasks;
        }
        

        #region TaskDetailsObject Creation
        public class TaskDetails
        {
            public int TaskID { get; set; }
            public string TaskName { get; set; }
            public string StartDate { get; set; }
            public string EndDate { get; set; }
            public int Duration { get; set; }
            public string Progress { get; set; }
            public string Priority { get; set; }
            public bool Approved { get; set; }
            public List<TaskDetails> SubTasks { get; set; }
        }
        #endregion
    }
}

